QUORUM_GETQUORATE(3)

NAME
quorum_getquorate - Gets the quorate status of the node.

SYNOPSIS
#include <corosync/quorum.h>

int quorum_getquorate(quorum_handle_t handle, int *quorate);

DESCRIPTION
The quorum_getquorate function is used to retrieve the quorate status of the node. Quorate is 0 if the node is not part of a quorate partition or 1 otherwise.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS
@COMMONIPCERRORS@

SEE ALSO
quorum_overview(8), quorum_initialize(3), quorum_finalize(3), quorum_trackstart(3), quorum_trackstop(3), quorum_fd_get(3), quorum_dispatch(3), quorum_context_set(3), quorum_context_get(3)